#ifndef __COMMANDS_H
#define __COMMANDS_H

#include <vdr/osdbase.h>
#include <vdr/tools.h>

#include "config.h"
#include "data.h"


class cMenuMP3Playlist : public cOsdMenu {
private:
  void SetHelp();
  eOSState SetMusic(void);
public:
  cMenuMP3Playlist(void);
  virtual eOSState ProcessKey(eKeys Key);
};


struct MP3ServiceData {
  int result;
  union {
    const char *filename;
  } data;
};      

#endif // __COMMANDS_H
